package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag290;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT290Creator;

public class Tag71BCreator extends AbsTagCreate {
    private MT290Creator mt290Creator;

    public Tag71BCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt290Creator = (MT290Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag71BValue = mt290Creator.getDetailsofCharges();
        mt290Creator.set("71B",tag71BValue);
    }
}
